### Method

# EDataServer WebDAVSession report_sync

since: 3.26

#### Declaration [src]

    gboolean
    e_webdav_session_report_sync (
      EWebDAVSession* webdav,
      const gchar* uri,
      const gchar* depth,
      const EXmlDocument* xml,
      EWebDAVPropstatTraverseFunc func,
      gpointer func_user_data,
      gchar** out_content_type,
      GByteArray** out_content,
      GCancellable* cancellable,
      GError** error
    )

#### Description [src]

Issues REPORT request on the provided `uri`, or, in case it’s `NULL`, on the URI defined in associated `ESource`. On success, calls `func` for each returned DAV:propstat.

The report can result in a multistatus response, but also to raw data. In case the `func` is provided and the result is a multistatus response, then it is traversed using this `func`.

The optional `out_content_type` can be used to get content type of the response. Free it with g_free(), when no longer needed.

The optional `out_content` can be used to get actual result content. Free it with g_byte_array_free(), when no longer needed.

Available since: 3.26

#### Parameters

`uri`

  Type: `const gchar*`

  URI to issue the request for, or `NULL` to read from `ESource`.

  The argument can be `NULL`.
  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`depth`

  Type: `const gchar*`

  Requested depth, can be `NULL`, then no Depth header is sent.

  The argument can be `NULL`.
  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`xml`

  Type: `EXmlDocument`

  The request itself, as an `EXmlDocument`.

  The data is owned by the caller of the method.

`func`

  Type: `EWebDAVPropstatTraverseFunc`

  An `EWebDAVPropstatTraverseFunc` function to call for each DAV:propstat in the multistatus response, or `NULL`.

  The argument can be `NULL`.

`func_user_data`

  Type: `gpointer`

  User data passed to `func`.

  The argument can be `NULL`.
  The data is owned by the caller of the method.

`out_content_type`

  Type: `gchar**`

  Return location for response Content-Type, or `NULL`.

  The argument can be `NULL`.
  The instance takes ownership of the data, and is responsible for freeing it.
  The value is a NUL terminated UTF-8 string.

`out_content`

  Type: An array of `guint8`

  Return location for response content, or `NULL`.

  The argument can be `NULL`.
  The instance takes ownership of the data, and is responsible for freeing it.

`cancellable`

  Type: `GCancellable`

  Optional `GCancellable` object, or `NULL`.

  The argument can be `NULL`.
  The data is owned by the caller of the method.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the method if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `gboolean`

Whether succeeded.